com.brightcove.player.render

## Class UnsupportedDrmException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.brightcove.player.render.UnsupportedDrmException

- All Implemented Interfaces:
    java.io.Serializable

      public final class UnsupportedDrmException
      extends java.lang.Exception

  Exception thrown when the required level of DRM is not supported.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `reason`
    `static int` | `REASON_NO_DRM`
    `static int` | `REASON_UNKNOWN`
    `static int` | `REASON_UNSUPPORTED_SCHEME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedDrmException(int reason)`
    `UnsupportedDrmException(int reason, java.lang.Exception cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REASON_NO_DRM

          public static final int REASON_NO_DRM

      See Also:
        Constant Field Values

    - #### REASON_UNSUPPORTED_SCHEME

          public static final int REASON_UNSUPPORTED_SCHEME

      See Also:
        Constant Field Values

    - #### REASON_UNKNOWN

          public static final int REASON_UNKNOWN

      See Also:
        Constant Field Values

    - #### reason

          public final int reason

  - ### Constructor Detail

    - #### UnsupportedDrmException

          public UnsupportedDrmException(int reason)

    - #### UnsupportedDrmException

          public UnsupportedDrmException(int reason,
                                         java.lang.Exception cause)